Skip to main content
POST
/
api
/
v1
/
transfer
Create a transfer
curl --request POST \
  --url https://payments.oaknetwork.org/api/v1/transfer \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "source": {
    "provider": "<string>",
    "currency": "<string>",
    "customer": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "amount": 2
  },
  "destination": {
    "provider": "<string>",
    "customer": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "payment_method": {
      "type": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "currency": "<string>",
      "chain": "<string>"
    }
  },
  "provider": "<string>",
  "metadata": {}
}
'
{
  "msg": "<string>",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "<string>",
    "type": "<string>",
    "provider": "<string>",
    "source": {
      "amount": 123,
      "currency": "<string>",
      "customer": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "payment_method": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "type": "<string>",
        "chain": "<string>"
      }
    },
    "destination": {
      "amount": 123,
      "currency": "<string>",
      "customer": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "payment_method": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "type": "<string>",
        "chain": "<string>"
      }
    },
    "metadata": {},
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "settlement_date": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Merchant authentication token. Obtained via POST /api/v1/merchant/token/grant. Pass as: Authorization: Bearer

Body

application/json
source
object
required

Source account details

destination
object
required

Destination account details

provider
string

Provider for single-provider transfers (case-insensitive)

metadata
object

Custom metadata

Response

Transfer initiated

msg
string
required

Human-readable message describing the result

data
object
required

Transaction object (field casing in response is lowercased for status, type, provider, currency)